
Foreman - Bug #31965

Make setting bmc_credentials_accessible disabled by default

02/25/2021 12:54 PM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: BMC   

Target version:    

Difficulty:  Fixed in Releases: 3.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8359

  

Description

As a hardening, BMC credentials should not be accessible.

Associated revisions

Revision 7a157e01 - 03/18/2022 07:51 PM - Lukas Zapletal

Fixes #31965 - make bmc_credentials_accessible disabled by default

Also remove the settings check as that would be pretty useless with this new value.

Signed-off-by: Lukas Zapletal <lzap+git@redhat.com>

History

#1 - 02/25/2021 12:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8359 added

#2 - 09/24/2021 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/8359)

#3 - 11/04/2021 09:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8359 added

#4 - 03/18/2022 07:51 PM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#5 - 03/18/2022 08:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7a157e0156db8ff527dafe84cf78f5bc9dae2324.
